<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: Iframe</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">Iframe</span></h1>
            <p class="source-link">Source: <a href="components_iframe_Iframe.js.html#source-line-7">components/<wbr>iframe/<wbr>Iframe.<wbr>js:7</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Methods</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Iframe.html#handleOnLoad">handleOnLoad()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Iframe.html#onHello">onHello()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="Iframe.html#onHide">onHide()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="Iframe.html#onShow">onShow()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2 id="Iframe">new&nbsp;<span class="symbol-name">Iframe</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>iframe z obslugą komunikcji za pomocą PostMessages</p>
            <section>
              <h3>
                Example
              </h3>
              <div>
                <pre class="prettyprint"><code>&lt;Iframe
  width&#x3D;&quot;300px&quot;
  height&#x3D;&quot;250px&quot;
  url&#x3D;&quot;http://example.com&quot;
  package&#x3D;{
    &#x27;event1&#x27;: &#x27;http://example.com/event1.gif&#x27;,
    &#x27;event2&#x27;: &#x27;http://example.com/event2.gif&#x27;,
    &#x27;event3&#x27;: &#x27;http://example.com/event3.gif&#x27;
  }
  style&#x3D;{
   &#x27;border&#x27;: &#x27;3px dotted red&#x27;
  }
  onShow&#x3D;function(){}
/&gt;</code></pre>
              </div>
            </section>
            <section>
              <h3>Properties</h3>
              <table class="jsdoc-details-table">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Optional</th>
                    <th>Description</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                      <p>props</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw właściwości komponentu</p>
                      <p>Values in <code>props</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>src</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres iframe</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>width</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>szerokość komponentu wraz z jednostką</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>height</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>wysokość komponentu wraz z jednostką</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>objectFit</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>@see https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit</p>
                              <p>Defaults to <code>contain</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>validate</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>@see https://developer.mozilla.org/en-US/docs/Mozilla/Tech/XUL/image#a-validate</p>
                              <p>Defaults to <code>never</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>style</p>
                            </td>
                            <td>
                              <p>object</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>obiekt ze stylami inline</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onLoad</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany po załadowaniu się źródła wyrenderowanego iframe</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onHello</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany po udanym nawiązaniu komunikacji z iframe</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onShow</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany przez iframe (lub automatycznie, jesli nie uda się nawiązać komunikacji)</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onHide</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany przez iframe</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                </tbody>
              </table>
            </section>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd>Component</dd>
            </dl>
          </section>
          <section>
            <h2>Methods</h2>
            <section>
              <h3 id="handleOnLoad"><span class="symbol-name">handleOnLoad</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>obsługa eventu onLoad dla iframe</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onHello"><span class="symbol-name">onHello</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>funkcja wywoływana po nawiązaniu udanej komunikacji z iframką za pomocą PostMessages</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onHide"><span class="symbol-name">onHide</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>funkcja wywoływana przez iframe</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onShow"><span class="symbol-name">onShow</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>jeżeli przez 100ms nie uda się nawiązać komunikacji z iframe, onShow jest wywoływane automatycznie
                w innym przypadku czeka na odpowiednią wiadomość z iframe</p>
              <dl class="dl-compact">
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>